Subject: Re: bug#74907: 31.0.50; nsm-check-local-subnet-ipv4 test fails on macOS with VPN enabled

From: Robert Pluim <[email-masked]>
Date: Tue, 17 Dec 2024 14:30:16 +0100

>>>>> On Tue, 17 Dec 2024 08:11:36 -0500, Ship Mints <[email-masked]> said:

    Ship> Good catch. Bug could be either or both Apple or vendor +/- the VPN
    Ship> implementation and if it also uses Network Extension Framework filters or
    Ship> whatever. The BSD-derived source code in question in netinet hasn't really
    Ship> changed appreciably in ages. Could also be an implied "6to4" bridge that
    Ship> the VPN sets up that screws things up. With the VPN running, go go System
    Ship> Preferences...Network...and you should be able to visually identify if
    Ship> there's a virtual "port" or relay.

I suspect vendor more than Apple, since I donʼt see such behaviour
with either of the two VPN clients I have on my macOS machine.

Robert
--